---
title: Create Silences
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Alerting](https://developers.cloudflare.com/api/python/resources/alerting)

[Silences](https://developers.cloudflare.com/api/python/resources/alerting/subresources/silences)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Create Silences

alerting.silences.create(SilenceCreateParams\*\*kwargs) -> [SilenceCreateResponse](<https://developers.cloudflare.com/api/python/resources/alerting#(resource)%20alerting.silences%20%3E%20(model)%20silence_create_response%20%3E%20(schema)>)

POST/accounts/{account\_id}/alerting/v3/silences

Creates a new silence for an account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Notifications Write``Account Settings Write`

##### ParametersExpand Collapse

account\_id: str

The account id

maxLength32

[Link to this property](<#(resource)%20alerting.silences%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

<details>

<summary>

body: Iterable\[Body]

</summary>

end\_time: Optional\[str]

When the silence ends.

<a href="#(resource)%20alerting.silences%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20body%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20end_time">Link to this property</a>

policy\_id: Optional\[str]

The unique identifier of a notification policy

maxLength32

<a href="#(resource)%20alerting.silences%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20body%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20policy_id">Link to this property</a>

start\_time: Optional\[str]

When the silence starts.

<a href="#(resource)%20alerting.silences%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20body%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20start_time">Link to this property</a>

</details>

[Link to this property](<#(resource)%20alerting.silences%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20body%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class SilenceCreateResponse: …

</summary>

<details>

<summary>

errors: List\[Error]

</summary>

message: str

<a href="#(resource)%20alerting.silences%20%3E%20(model)%20silence_create_response%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20message">Link to this property</a>

code: Optional\[int]

minimum1000

<a href="#(resource)%20alerting.silences%20%3E%20(model)%20silence_create_response%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20code">Link to this property</a>

</details>

<a href="#(resource)%20alerting.silences%20%3E%20(model)%20silence_create_response%20%3E%20(schema)%20%3E%20(property)%20errors">Link to this property</a>

<details>

<summary>

messages: List\[Message]

</summary>

message: str

<a href="#(resource)%20alerting.silences%20%3E%20(model)%20silence_create_response%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20message">Link to this property</a>

code: Optional\[int]

minimum1000

<a href="#(resource)%20alerting.silences%20%3E%20(model)%20silence_create_response%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20code">Link to this property</a>

</details>

<a href="#(resource)%20alerting.silences%20%3E%20(model)%20silence_create_response%20%3E%20(schema)%20%3E%20(property)%20messages">Link to this property</a>

success: Literal\[true]

Whether the API call was successful

<a href="#(resource)%20alerting.silences%20%3E%20(model)%20silence_create_response%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20alerting.silences%20%3E%20(model)%20silence_create_response%20%3E%20(schema)>)

### Create Silences

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
silence = client.alerting.silences.create(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    body=[{}],
)
print(silence.errors)
```

200 example

```
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true
}
```